Subject: Re: Content-* Semantics [i103]

From: Henrik Nordstrom <[email-masked]>
Date: Thu, 13 Mar 2008 23:36:50 +0100

On Fri, 2008-02-29 at 02:15 +0100, Frank Ellermann wrote:

> Yes, I confused CTE and TE, again.  Some years ago all
> I wanted to know was how I can disable chunking, that
> turned out to be simple, use "GET whatever HTTP/1.0".

Except that many servers today respond with chunked encoding even if
HTTP/1.0 is used in the request. Clearly a server implementation bug,
but still a good reason to implement chunked decoding in all clients..

> Okay, so for some chunked gzipped content the MD5 is
> apparently for the gzipped content.

Yes, unless the gzip compression is applied as a TE.

Regards
Henrik